<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-network-manager" xml:lang="zh-CN">

  <info>
    <link type="guide" xref="tech" group="network-manager"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Manage network connections and monitor online/offline status</desc>
  </info>

<title>NetworkManager</title>

  <p>
    NetworkManager manages a computer's network connections.  It takes care of
    DHCP negotiation to get an IP address for the computer when its networking
    is first activated.  It lets users select between different wired and
    wireless networks, configure Virtual Private Networks (VPNs), and connect to
    the network with modems.
  </p>

  <p>
    NetworkManager provides an extensive API that lets applications control
    network connections.  However, this is mostly only of interest to the
    software that implements the core desktop itself.  Regular applications can
    use NetworkManager's API to monitor the online/offline state of the
    computer, and perform other high-level tasks related to the network.
  </p>

  <p>
    The core desktop shell in GNOME has a prominent NetworkManager icon;
    internally it uses the NetworkManager API to change network settings based
    on the user's choices.  Applications such as Evolution, which
    need to know about the online/offline status of the computer, use
    NetworkManager as well.
  </p>

  <list style="compact">
    <item><p><link href="https://wiki.gnome.org/Projects/NetworkManager">NetworkManager home page</link></p></item>
    <item><p><link href="https://wiki.gnome.org/Projects/NetworkManager/Developers">NetworkManager API reference</link></p></item>
  </list>


</page>
